- [HTTP request](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/list.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/list.md.txt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/list.md.txt#body.ListWorkloadUpdatesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/list.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/assured-workloads/docs/reference/rest/v1/organizations.locations.workloads.updates/list.md.txt#body.aspect_1)

This endpoint lists all updates for the given workload.

### HTTP request

`GET https://{endpoint}/v1/{parent=organizations/*/locations/*/workloads/*}/updates`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/assured-workloads/docs/reference/rest.md.txt#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. organizations/{org_id}/locations/{locationId}/workloads/{workloadId} Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `assuredworkloads.updates.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Page size. The default value is 20 and the max allowed value is 100. |
| `pageToken` | `string` Page token returned from previous request. |

### Request body

The request body must be empty.

### Response body

Response of listing the compliance updates per workload with pagination.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "workloadUpdates": [ { object (`WorkloadUpdate`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `workloadUpdates[]` | ``object (`WorkloadUpdate`)`` The list of workload updates for a given workload. |
| `nextPageToken` | `string` The next page token. Return empty if reached the last page. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/assuredworkloads`
- `https://www.googleapis.com/auth/assuredworkloads.readonly`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `assuredworkloads.updates.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).